Subject: clock_gettime.2: _COARSE clocks are not always faster...

From: Rasmus Villemoes <[email-masked]>
Date: Sat, 09 Apr 2016 18:50:47 +0200

Hi Michael

The other day, I was curious how the vdso was implemented on ppc, and I
noted that neither ppc32 or ppc64 handle the _COARSE versions of
CLOCK_{REALTIME,MONOTONIC} in the vdso, so they fall back to an actual
syscall. And sure enough, measuring CLOCK_MONOTONIC
vs. CLOCK_MONOTONIC_COARSE shows that the latter has three times as much
overhead as the former.

Whether it's worth adding a note to the man page is up to you.

Best,
Rasmus